Bug 176206 - update port: lang/urweb
Summary: update port: lang/urweb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-17 05:20 UTC by Timothy Beyer
Modified: 2013-02-18 18:50 UTC (History)
1 user (show)

See Also:


Attachments
urweb.diff (1.81 KB, patch)
2013-02-17 05:20 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2013-02-17 05:20:00 UTC
- Update to version 20120925.

Fix: The included patch
How-To-Repeat: 
    Apply patch and build port
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-02-17 16:52:29 UTC
State Changed
From-To: open->feedback

Hi Timothy. I wasn't able to test the update reliably because mlton 
cannot be built. Please see the log: 
http://people.freebsd.org/~rm/mlton-20070826_10.log Do you have any 
ideas how to fix that?
Comment 2 Mark Linimon 2013-02-17 22:46:57 UTC
----- Forwarded message from Timothy Beyer <beyert@cs.ucr.edu> -----

Date: Sun, 17 Feb 2013 09:47:36 -0800
From: Timothy Beyer <beyert@cs.ucr.edu>
To: rm@FreeBSD.org
Cc: beyert@cs.ucr.edu, freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/176206: update port: lang/urweb
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.7
	(SanjÅ) APEL/10.6 MULE XEmacs/21.4 (patch 22) (Instant
	Classic) (i386--freebsd)

Hi,

I get the same error on my machine with mlton; I think that lang/mlton
needs a small patch to compile with the newer version of math/gmp in
ports.  I will try to submit a patch (hopefully today or tomorrow) to
adapt the mlton in ports to the current gmp.

I'm also interested in updating mlton to a much newer version, paticularly
because newer versions work on amd64, but perhaps porting that is a larger
project.

Regards,
Tim
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


----- End forwarded message -----
Comment 3 Timothy Beyer 2013-02-18 08:46:28 UTC
At Sun, 17 Feb 2013 16:52:30 GMT,
rm@FreeBSD.org wrote:
> 
> Synopsis: update port: lang/urweb
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: rm
> State-Changed-When: Sun Feb 17 16:52:29 UTC 2013
> State-Changed-Why: 
> Hi Timothy. I wasn't able to test the update reliably because mlton
> cannot be built. Please see the log:
> http://people.freebsd.org/~rm/mlton-20070826_10.log Do you have any
> ideas how to fix that?
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=176206
> 

Hi,

I made a working patch for lang/mlton, the following PR needs to applied to that port as a prerequisite:
http://www.freebsd.org/cgi/query-pr.cgi?pr=176229

Thanks for pointing that out, I didn't even realize that was an issue, because I built mlton about a year ago.

Regards,
Tim
Comment 4 R.Mahmatkhanov 2013-02-18 10:02:08 UTC
Timothy Beyer wrote on 18.02.2013 12:46:
> Hi,
>
> I made a working patch for lang/mlton, the following PR needs to applied to that port as a prerequisite:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=176229
>
> Thanks for pointing that out, I didn't even realize that was an issue, because I built mlton about a year ago.
>
> Regards,
> Tim

Hi,

thanks a lot, I'll check it out and let you know.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-02-18 12:25:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 6 dfilter service freebsd_committer 2013-02-18 18:23:47 UTC
Author: rm
Date: Mon Feb 18 18:23:39 2013
New Revision: 312516
URL: http://svnweb.freebsd.org/changeset/ports/312516

Log:
  - update to 20120925
  - trim Makefile header, while here
  
  PR:		176206
  Submitted by:	Timothy Beyer <beyert@cs.ucr.edu> (maintainer)

Modified:
  head/lang/urweb/Makefile
  head/lang/urweb/distinfo
  head/lang/urweb/files/patch-configure

Modified: head/lang/urweb/Makefile
==============================================================================
--- head/lang/urweb/Makefile	Mon Feb 18 18:22:10 2013	(r312515)
+++ head/lang/urweb/Makefile	Mon Feb 18 18:23:39 2013	(r312516)
@@ -1,11 +1,8 @@
-# New ports collection makefile for:	urweb
-# Date created:		4 Apr 2012
-# Whom:			Timothy Beyer <beyert@cs.ucr.edu>
-#
+# Created by: Timothy Beyer <beyert@cs.ucr.edu>
 # $FreeBSD$
 
 PORTNAME=	urweb
-PORTVERSION=	20120807
+PORTVERSION=	20120925
 CATEGORIES=	lang www
 MASTER_SITES=	http://www.impredicative.com/ur/
 EXTRACT_SUFX=	.tgz

Modified: head/lang/urweb/distinfo
==============================================================================
--- head/lang/urweb/distinfo	Mon Feb 18 18:22:10 2013	(r312515)
+++ head/lang/urweb/distinfo	Mon Feb 18 18:23:39 2013	(r312516)
@@ -1,2 +1,2 @@
-SHA256 (urweb-20120807.tgz) = d4344a6c9dcaf968dbeb6fe9a4d9371e08674e37e5b131c8a57f3604c267e195
-SIZE (urweb-20120807.tgz) = 848903
+SHA256 (urweb-20120925.tgz) = d617edc89a16ab675a8ce13bd25aa19b71837d239b30987da447c126da0be663
+SIZE (urweb-20120925.tgz) = 826968

Modified: head/lang/urweb/files/patch-configure
==============================================================================
--- head/lang/urweb/files/patch-configure	Mon Feb 18 18:22:10 2013	(r312515)
+++ head/lang/urweb/files/patch-configure	Mon Feb 18 18:23:39 2013	(r312516)
@@ -1,6 +1,6 @@
---- configure.orig	2012-03-29 08:09:43.000000000 -0700
-+++ configure	2012-04-04 03:59:35.000000000 -0700
-@@ -12583,14 +12583,14 @@
+--- configure.orig	2012-09-25 05:16:58.000000000 -0700
++++ configure	2013-02-16 19:55:33.000000000 -0800
+@@ -11744,14 +11744,14 @@
  
  
  if test -z $PGHEADER; then
@@ -9,7 +9,7 @@
  do :
 -  ac_fn_c_check_header_mongrel "$LINENO" "postgresql/libpq-fe.h" "ac_cv_header_postgresql_libpq_fe_h" "$ac_includes_default"
 +  ac_fn_c_check_header_mongrel "$LINENO" "libpq-fe.h" "ac_cv_header_postgresql_libpq_fe_h" "$ac_includes_default"
- if test "x$ac_cv_header_postgresql_libpq_fe_h" = xyes; then :
+ if test "x$ac_cv_header_postgresql_libpq_fe_h" = x""yes; then :
    cat >>confdefs.h <<_ACEOF
  #define HAVE_POSTGRESQL_LIBPQ_FE_H 1
  _ACEOF
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2013-02-18 18:49:59 UTC
State Changed
From-To: feedback->closed

Committed, thank you!